aboutsummaryrefslogtreecommitdiff
path: root/source
diff options
context:
space:
mode:
authorkate.ward <kate.ward@forestent.com>2008-11-14 18:33:24 +0000
committerkate.ward <kate.ward@forestent.com>2008-11-14 18:33:24 +0000
commit5bdeeff9f01952ebfe8d997d835275bfe0c9c435 (patch)
tree98a06f4ac55c3e7e1d3cdad2e26d05295c0866df /source
parent709c13485a388e5dcc86eae54edb0e984187e98f (diff)
downloadshflags-5bdeeff9f01952ebfe8d997d835275bfe0c9c435.tar.gz
added check for whether we can write to the output file
Diffstat (limited to 'source')
-rwxr-xr-xsource/1.0/bin/gen_test_results.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/source/1.0/bin/gen_test_results.sh b/source/1.0/bin/gen_test_results.sh
index c39e1b8..b1217aa 100755
--- a/source/1.0/bin/gen_test_results.sh
+++ b/source/1.0/bin/gen_test_results.sh
@@ -70,6 +70,7 @@ if [ -f "${output}" ]; then
exit ${FLAGS_ERROR}
fi
fi
+touch "${output}" 2>/dev/null || die "unable to write to '${output}'"
# run tests
( cd "${SRC_DIR}"; ./shflags_test.sh |tee "${output}" )